    
function Skinner:EnhTooltip()
	if not self.db.profile.Tooltips.skin then return end

	self:HookScript(EnhancedTooltip, "OnShow", function(object)
--	   	self:Debug("EnhancedTooltip_OnShow: [%s, %s]", this:GetName(), object:GetName())
		self.hooks[EnhancedTooltip].OnShow(object)
		self:skinTooltip(EnhancedTooltip)
		end)

end